Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

Following questions:

Open Source Tool capable of reading Esri File Geodatabase (.gdb)?

How to access file geodatabase in Qgis?

How to get FGDB support in GDAL 1.9 without compiling?

I have spent around 2 days to find the way to open GDB (Esri geodatabase) in QGIS (or any other open source software) but still without success.

I have downloaded the newest OSGeo4W installer and run the setup - express desktop install - all packages

And there was no support for GDB in QGIS. So I tried again in advanced way - advanced install - checked: All - Libs - gdal-filegdb: OGR FileGDB Driver (Current version 1.9.0-1) - reinstall: All qgis and gdal (gdb) files I have found

And nothing, still no support. Just desperate I have copied FileGDBAPI.dll and ogr_FileGDB.dll to OSGeo4W\apps\qgis\plugins folder, reinstalled all again, nothing...

Can you please describe more detailed procedure? Please include installation and how to open .gdb in QGIS (OSGeo4W installation)

share|improve this question
1  
What version of gdal are you using? –  Nathan W May 28 '12 at 4:24
    
First I have installed osgeo4w-setup - Express desktop install - which I guess download the newest library for instalation. In "Advanced Install" I tried gdal 1.9.1-RC2-1 and 1.9.0-3. Talking about gdal-filegdb there is only 1.9.0-1 version at this moment. –  Miro May 28 '12 at 5:23
    
What version of ArcGIS was your File GDB created in? –  Get Spatial May 28 '12 at 23:46
1  
Well this may be the problem - "File GDB must be ArcGIS version 10, 9.3.1 is not supported." - I don't know the version of ESRI File Geodatabase (FileGDB), I just got data. Going to find and test some data in version 10 with my install and let know. –  Miro May 29 '12 at 1:13
    
Ok, tried with "test_fgdb.gdb" from trac.osgeo.org/gdal/wiki/FileGDB and still got message "test_fgdb.gdb is not a valid or recognized data source". –  Miro May 29 '12 at 1:30

3 Answers 3

up vote 46 down vote accepted

Based on comments from @mattwilkie, and testing myself, I am updating this to change the first few steps. You should be able to install QGIS Wroclaw 1.7.4, with ESRI File GDB support, using the OSGeo4W installer. Here is the process that worked for me. Please note that I am running a Window 7 64Bit computer. The File Geodatabase I am opening was created using ArcGIS 10. File GDB's created using ArcGIS 9.X are NOT supported.

To test this, I started by removing all GIS related software from this computer, deleting the OSGeo4W install directory, and the cache where the installer downloads components.

  1. Download and run osgeo4w-setup.exe from OSGeo4W website.

  2. Choose Advanced Install, then Install from Internet. Choose your root and local package directories, and then your connection type, in my case, "Direct Connection". Once you click next, it will bring up a screen with a number of collapsed menus: enter image description here

  3. Expand the "Desktop" menu. Find the entry for "qgis: Quantum GIS (desktop)". In the "New" column, change entry from "Skip", to show version 1.7.4-5. enter image description here

  4. Expand the "Libs" menu. Find the entry for "gdal-filegdb: OGR FileGDB Driver". In the "New" column, change the entry from "Skip", to show version 1.9.0-1. enter image description here

  5. Once you click Next, it will install QGIS and all of the associated libraries. Once this is completed, open Quantum GIS, and Choose "Add Vector Data". Change the option to "Directory". enter image description here

  6. Browse to the File Geodatabase and select the directory. Click "Open" enter image description here

  7. Select a Vector Layer and press "Ok". Please note that the FileGDB API Does not support Raster Images. enter image description here

  8. As you can see, the selected layer loads in. I do not know about editing capability, though based on that blog post you referenced, it should be possible. enter image description here

  9. For your reference, here is the "About" window from my install of QGIS, showing the versions of the software, and the GDAL/OGR library being used. enter image description here

I tested this on both a Windows 7 64 Bit computer and also a Windows XP Home Premium computer. It worked on both. As pointed out in the comments below, this Thread at OSGeo has a discussion of people having inconsistent results using this same installer on different workstations. I'm doing further investigation and will update as I complete.

share|improve this answer
1  
FileGDBAPI.dll is part of the gdal-filegdb package and should already be installed in %osgeo4w_root%\bin. Unfortunately, that alone is not enough on my system either. –  matt wilkie May 28 '12 at 19:04
    
@mattwilkie - I don't know if this makes a difference, but what is the file version of your FileGDBAPI.dll? Mine is 1.2.0.136. What happens when you try to open a .gdb directory? –  Get Spatial May 28 '12 at 19:18
    
My file version is same, last modified 23-Feb-2012 2:20pm, 4,616,048 bytes.I'm told "test.gdb is not a valid data source" (using directory type). I see from here that others have had trouble reliably getting the ability to open file-gdb's in qgis installed by osgeo4w. I also tried copying FileGDBAPI.dll to the qgis bin directory and ogr_FileGDB.dll to the qgis gdalplugins directory as per here. –  matt wilkie May 28 '12 at 19:31
3  
found the bug, and it's a whopper: The FileGDB SDK doesn't support custom coordinate systems (gdal #4578). One hopes that is not a long lived limitation; vote for fixing it at ideas.arcgis.com/ideaView?id=087E00000004DpoIAE –  matt wilkie May 31 '12 at 19:53
3  
@danagerous - This answer was written when QGIS 1.8 was the current install version. As you have shown, the current version is now up to 2.2.0. The process and steps to ensure that the library is installed remain the same, but you would always want to use the most current version available for both QGIS and the gdal-fgdb library. –  Get Spatial Apr 2 at 17:24

If you are on a Mac you can compile the filegdb driver from scratch using these instructions.

share|improve this answer
    
The linked page relies on its first link ("Download the SDK from ESRI's website"), which is dead now. –  Pavel V. Mar 14 at 12:54

If you have QGIS running and compiled against GDAL 1.11.0, it now has native FileGDB support via the OpenFileGDB driver.

To open a geodatabase in QGIS, be sure to choose "Add vector layer", "Source Type = Directory" and source should be either "OpenFileGDB" or "ESRI FileGDB". Then just browse to the *.gdb folder of choice, press "Open" and the layers will be loaded into your Table of Contents.

There are some current limitations like not being able to write to a FileGDB, but it supports FileGDBs <= 10.0 which is quite a bonus and "custom projections".

The work-in-progress reverse-engineered specification is available on GitHub for the OpenFileGDB driver.

share|improve this answer

protected by Community Jun 3 at 7:42

Thank you for your interest in this question. Because it has attracted low-quality answers, posting an answer now requires 10 reputation on this site.

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged or ask your own question.